%define major	5
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define zeromq1 %mklibname zeromq 1

Summary:	Software library for fast, message-based applications
Name:		zeromq
Version:	4.1.4
Release:	%mkrel 1
Source0:	http://download.zeromq.org/%{name}-%{version}.tar.xz
Source1:	cppzmq-master1f05e0d.zip
License:	LGPLv3+
Group:		Development/Other
Url:		http://www.zeromq.org
BuildRequires:	glib2-devel
BuildRequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	libtool
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	%{_lib}sodium-devel
BuildRequires:	%{_lib}openpgm-devel

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary:	Software library for fast, message-based applications
Group:		System/Libraries

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the %{name} shared library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

This package also installs C++ bindings for %{name}

%package utils
Summary:	Utility binaries for zeromq
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description utils
Utility binaries and docs for zeromq

%prep
%setup -a 1 -q
export NOCONFIGURE=1
./autogen.sh

%build
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure2_5x --with-pgm --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

pushd cppzmq-master
install -D zmq.hpp %{buildroot}%{_includedir}
install -d %{buildroot}/%{_docdir}/zmqcpp
install -D LICENSE README %{buildroot}/%{_docdir}/zmqcpp
popd

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libzmq.so.%{major}
%{_libdir}/libzmq.so.%{major}.*

%files -n %{develname}
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*
%{_mandir}/man3/zmq*
%{_mandir}/man7/zmq*

%files utils
%doc AUTHORS COPYING* NEWS
%{_docdir}/zmqcpp/*
%{_bindir}/curve_keygen


%changelog
* Thu Jan 07 2016 bb <bb> 4.1.4-1pclos2016
- import from france

